# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum CalendarLink.Rel

    java.lang.Object
      java.lang.Enum<CalendarLink.Rel>
          com.google.gdata.data.contacts.CalendarLink.Rel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CalendarLink.Rel>

Enclosing class:
  CalendarLink

    public static enum CalendarLink.Rel

extends java.lang.Enum<CalendarLink.Rel>

Known calendar link type.

Enum Constant Summary
`FREE_BUSY` Free-busy calendar link.
`HOME` Home calendar link.
`WORK` Work calendar link.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static CalendarLink.Rel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CalendarLink.Rel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FREE_BUSY

    public static final CalendarLink.Rel FREE_BUSY

  Free-busy calendar link.

### HOME

    public static final CalendarLink.Rel HOME

  Home calendar link.

### WORK

    public static final CalendarLink.Rel WORK

  Work calendar link.

Method Detail

### values

    public static CalendarLink.Rel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CalendarLink.Rel c : CalendarLink.Rel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CalendarLink.Rel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML